%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Markdown text-to-html converter
Name:		php-markdown
Version:	1.0.1o
Release:	2
License:	BSD-Style License
Group:		Development/Languages/PHP
Source0:	http://littoral.michelf.ca/code/php-markdown/%{name}-%{version}.zip
# Source0-md5:	fccaa1285c27a82bea15385591856250
URL:		http://michelf.ca/projects/php-markdown/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
BuildRequires:	unzip
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautopear	pear
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
PHP Markdown is a port to PHP of the Markdown program written by John
Gruber. Markdown is two things: a plain text markup syntax, and a
software tool that converts the plain text markup to HTML for
publishing on the web.

The Markdown syntax allows you to write text naturally and format it
without using HTML tags. More importantly: in Markdown format, your
text stays enjoyable to read for a human being, and this is true
enough that it makes a Markdown document publishable as-is, as plain
text. If you are using text-formatted email, you already know some
part of the syntax.

%prep
%setup -qc
mv "PHP Markdown %{version}"/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}
cp -p markdown.php $RPM_BUILD_ROOT%{php_data_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.text
%{php_data_dir}/markdown.php
%changelog
* Tue Oct 30 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-markdown.git;a=log;h=master

* Tue Oct 30 2012 Elan Ruusamäe <glen@delfi.ee> 4c6658d
php deps

* Tue Oct 30 2012 Elan Ruusamäe <glen@delfi.ee> 22ae78f
up to 1.0.1o, php 5.3 compatible

* Mon May 16 2011 Elan Ruusamäe <glen@pld-linux.org> 9f78d2c
- new

